Name: x11-driver-video-rendition
Version: 4.2.7
Release: %mkrel 6
Summary: X.org driver for Rendition (Micron) Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-rendition-%{version}.tar.bz2
Patch0: xf86-video-rendition-fix-build-with-gcc14.patch
License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-rendition is the X.org driver for Rendition (Micron) Cards.

%prep
%setup -q -n xf86-video-rendition-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/rendition_drv.so
%{_libdir}/xorg/modules/v20002d.uc
%{_libdir}/xorg/modules/v10002d.uc
%{_mandir}/man4/rendition.*




%changelog
* Fri Nov 29 2024 ns80 <ns80> 4.2.7-6.mga10
+ Revision: 2119926
- try to fix building with GCC 14

* Fri Apr 01 2022 umeabot <umeabot> 4.2.7-5.mga9
+ Revision: 1838011
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 4.2.7-4.mga9
+ Revision: 1751709
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 4.2.7-3.mga8
+ Revision: 1544040
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.2.7-2.mga7
+ Revision: 1301765
- Mageia 7 Mass Rebuild

* Mon May 21 2018 tv <tv> 4.2.7-1.mga7
+ Revision: 1231304
- new release
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 4.2.6-4.mga6
+ Revision: 1067762
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 4.2.6-3.mga6
+ Revision: 1043262
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 4.2.6-2.mga6
+ Revision: 963401
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 4.2.6-1.mga6
+ Revision: 902666
- new release

* Wed Nov 11 2015 tv <tv> 4.2.5-14.mga6
+ Revision: 902308
- submit to core/release

* Wed Nov 11 2015 tv <tv> 4.2.5-13.mga6
+ Revision: 902059
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 4.2.5-12.mga6
+ Revision: 837446
- add build fixes from git
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 4.2.5-11.mga5
+ Revision: 747352
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.5-10.mga5
+ Revision: 690448
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 4.2.5-9.mga5
+ Revision: 635047
- submit to core/release

* Fri Jun 06 2014 tv <tv> 4.2.5-8.mga5
+ Revision: 633692
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 4.2.5-7.mga5
+ Revision: 614379
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 4.2.5-6.mga5
+ Revision: 582319
- patch 0: fix build with xserver-1.14

* Sat Oct 19 2013 umeabot <umeabot> 4.2.5-5.mga4
+ Revision: 525449
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 4.2.5-4.mga4
+ Revision: 433188
- submit to core/release

* Fri May 24 2013 tv <tv> 4.2.5-3.mga4
+ Revision: 426011
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 4.2.5-3.mga3
+ Revision: 386007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 4.2.5-2.mga3
+ Revision: 288969
- rebuild for new xserver

* Tue Jul 24 2012 tv <tv> 4.2.5-1.mga3
+ Revision: 273939
- drop patch 0 (merged)
- new release

* Wed Jun 06 2012 tmb <tmb> 4.2.4-9.mga3
+ Revision: 256480
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 4.2.4-8.mga3
+ Revision: 253018
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 4.2.4-7.mga3.nonfree
+ Revision: 250234
- patch for new X.org server ABI
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 4.2.4-6.mga2
+ Revision: 177627
- submit to core/release

* Sat Oct 08 2011 tv <tv> 4.2.4-5.mga2
+ Revision: 153127
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 4.2.4-4.mga1
+ Revision: 64409
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 4.2.4-3.mga1
+ Revision: 50274
- imported package x11-driver-video-rendition


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 4.2.4-3mdv2011.0
+ Revision: 595728
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 4.2.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 4.2.4-1mdv2011.0
+ Revision: 555160
- new release

* Mon Sep 07 2009 Thierry Vignaud <tv@mandriva.org> 4.2.3-1mdv2010.0
+ Revision: 432725
- fix build
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 4.2.2-1mdv2010.0
+ Revision: 391885
- update to new version 4.2.2

* Thu Feb 26 2009 Thierry Vignaud <tv@mandriva.org> 4.2.1-1mdv2009.1
+ Revision: 345054
- new release

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 4.2.0-3mdv2009.1
+ Revision: 308218
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 4.2.0-2mdv2009.0
+ Revision: 265925
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.2.0-1mdv2009.0
+ Revision: 194166
- Update to version 4.2.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.1.3-5mdv2008.1
+ Revision: 165588
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 4.1.3-4mdv2008.1
+ Revision: 156615
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.1.3-3mdv2008.1
+ Revision: 154841
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix to generate tarball from tag xf86-video-rendition-4.1.3, and generate
  patches from that point until mandriva branch.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 4.1.3-2mdv2008.1
+ Revision: 99042
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 4.1.3-1mdv2007.0
+ Revision: 116466
- new upstream version: 4.1.2

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 4.1.2-1mdv2007.1
+ Revision: 85950
- new release
- killing old sources
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

